avidemux: rewrite derivation

This drastically reduces the complexity of the `avidemux` derivation
and adds QT5 support (see #33248).

Rather than invoking `cmake` over preconfigured hooks, it's much easier
to use the `bootStrap.bash` script provided by the developers to do the
installation tasks. Furthermore this script makes it way easier to
configure which parts of `avidemux` should be used (e.g. CLI-only) or
without the plugins.

In order to create a CLI-only instance you can simply override the
derivation:

```
avidemux.override {
  withQT = false;
}
```

It's possible to set the default executable as well (`avidemux` creates
a `avidemux_qt5` and `avidemux_cli` executable by default):

```
avidemux.override {
  default = "cli"; # default is `qt5`
}
```

The GTK support has been dropped entirely since it was originally broken
in our system and can't be built ATM. Other distros such as ArchLinux
don't support GTK anymore (see https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/avidemux#n64)
This commit is contained in:
Maximilian Bosch
2018-02-25 01:04:07 +03:00
committed by Nikolay Amiantov
parent 247a7504ad
commit f027e82e76
4 changed files with 82 additions and 130 deletions
@@ -0,0 +1,26 @@
diff --git a/bootStrap.bash b/bootStrap.bash
index 646a5e048..6429199ba 100644
--- a/bootStrap.bash
+++ b/bootStrap.bash
@@ -4,6 +4,7 @@
#
# By default we use qt5 now
#
+set -e # hard fail if something fails
packages_ext=""
rebuild=0
do_core=1
@@ -66,10 +67,10 @@ Process()
fi
cd $BUILDDIR
cmake $COMPILER $PKG $FAKEROOT $QT_FLAVOR -DCMAKE_EDIT_COMMAND=vim $INSTALL_PREFIX $EXTRA $BUILD_QUIRKS $ASAN $DEBUG -G "$BUILDER" $SOURCEDIR || fail cmakeZ
- make $PARAL >& /tmp/log$BUILDDIR || fail "make, result in /tmp/log$BUILDDIR"
- if [ "x$PKG" != "x" ] ; then
+ make $PARAL
+ if [ "x$PKG" != "x" ] ; then
$FAKEROOT_COMMAND make package DESTDIR=$FAKEROOT_DIR/tmp || fail package
- fi
+ fi
# we need the make install so that other packcges can be built against this one
make install DESTDIR=$FAKEROOT_DIR
}